Subject: Re: [PATCH net-next v1 1/1] usbnet: add devlink support

From: Alan Stern <[email-masked]>
Date: Thu, 27 Jan 2022 12:00:44 -0500

On Thu, Jan 27, 2022 at 12:13:53PM +0100, Greg KH wrote:
> On Thu, Jan 27, 2022 at 12:07:42PM +0100, Oleksij Rempel wrote:
> > The weakest link of usbnet devices is the USB cable.
> 
> The weakest link of any USB device is the cable, why is this somehow
> special to usbnet devices?
> 
> > Currently there is
> > no way to automatically detect cable related issues except of analyzing
> > kernel log, which would differ depending on the USB host controller.
> > 
> > The Ethernet packet counter could potentially show evidence of some USB
> > related issues, but can be Ethernet related problem as well.
> > 
> > To provide generic way to detect USB issues or HW issues on different
> > levels we need to make use of devlink.
> 
> Please make this generic to all USB devices, usbnet is not special here
> at all.

Even more basic question: How is the kernel supposed to tell the 
difference between a USB issue and a HW issue?  That is, by what 
criterion do you decide which category a particular issue falls under?

Alan Stern